"Fossies" - the Fresh Open Source Software Archive

Member "passgen-1.2.0/Makefile.in" (18 Jun 2011, 21045 Bytes) of package /linux/privat/old/passgen-1.2.0.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
    5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
    6 # Inc.
    7 # This Makefile.in is free software; the Free Software Foundation
    8 # gives unlimited permission to copy and/or distribute it,
    9 # with or without modifications, as long as this notice is preserved.
   10 
   11 # This program is distributed in the hope that it will be useful,
   12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   14 # PARTICULAR PURPOSE.
   15 
   16 @SET_MAKE@
   17 VPATH = @srcdir@
   18 pkgdatadir = $(datadir)/@PACKAGE@
   19 pkgincludedir = $(includedir)/@PACKAGE@
   20 pkglibdir = $(libdir)/@PACKAGE@
   21 pkglibexecdir = $(libexecdir)/@PACKAGE@
   22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   23 install_sh_DATA = $(install_sh) -c -m 644
   24 install_sh_PROGRAM = $(install_sh) -c
   25 install_sh_SCRIPT = $(install_sh) -c
   26 INSTALL_HEADER = $(INSTALL_DATA)
   27 transform = $(program_transform_name)
   28 NORMAL_INSTALL = :
   29 PRE_INSTALL = :
   30 POST_INSTALL = :
   31 NORMAL_UNINSTALL = :
   32 PRE_UNINSTALL = :
   33 POST_UNINSTALL = :
   34 subdir = .
   35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
   36 	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
   37 	ChangeLog INSTALL NEWS TODO depcomp install-sh missing
   38 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   39 am__aclocal_m4_deps = $(top_srcdir)/configure.in
   40 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   41 	$(ACLOCAL_M4)
   42 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   43  configure.lineno config.status.lineno
   44 mkinstalldirs = $(install_sh) -d
   45 CONFIG_CLEAN_FILES =
   46 CONFIG_CLEAN_VPATH_FILES =
   47 SOURCES =
   48 DIST_SOURCES =
   49 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
   50 	html-recursive info-recursive install-data-recursive \
   51 	install-dvi-recursive install-exec-recursive \
   52 	install-html-recursive install-info-recursive \
   53 	install-pdf-recursive install-ps-recursive install-recursive \
   54 	installcheck-recursive installdirs-recursive pdf-recursive \
   55 	ps-recursive uninstall-recursive
   56 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   57   distclean-recursive maintainer-clean-recursive
   58 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
   59 	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
   60 	distdir dist dist-all distcheck
   61 ETAGS = etags
   62 CTAGS = ctags
   63 DIST_SUBDIRS = $(SUBDIRS)
   64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
   65 distdir = $(PACKAGE)-$(VERSION)
   66 top_distdir = $(distdir)
   67 am__remove_distdir = \
   68   { test ! -d "$(distdir)" \
   69     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
   70          && rm -fr "$(distdir)"; }; }
   71 am__relativize = \
   72   dir0=`pwd`; \
   73   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
   74   sed_rest='s,^[^/]*/*,,'; \
   75   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
   76   sed_butlast='s,/*[^/]*$$,,'; \
   77   while test -n "$$dir1"; do \
   78     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
   79     if test "$$first" != "."; then \
   80       if test "$$first" = ".."; then \
   81         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
   82         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
   83       else \
   84         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
   85         if test "$$first2" = "$$first"; then \
   86           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
   87         else \
   88           dir2="../$$dir2"; \
   89         fi; \
   90         dir0="$$dir0"/"$$first"; \
   91       fi; \
   92     fi; \
   93     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
   94   done; \
   95   reldir="$$dir2"
   96 DIST_ARCHIVES = $(distdir).tar.gz
   97 GZIP_ENV = --best
   98 distuninstallcheck_listfiles = find . -type f -print
   99 distcleancheck_listfiles = find . -type f -print
  100 ACLOCAL = @ACLOCAL@
  101 AMTAR = @AMTAR@
  102 AUTOCONF = @AUTOCONF@
  103 AUTOHEADER = @AUTOHEADER@
  104 AUTOMAKE = @AUTOMAKE@
  105 AWK = @AWK@
  106 BINDIR = @BINDIR@
  107 CC = @CC@
  108 CCDEPMODE = @CCDEPMODE@
  109 CFLAGS = @CFLAGS@
  110 CONFDIR = @CONFDIR@
  111 CPP = @CPP@
  112 CPPFLAGS = @CPPFLAGS@
  113 CYGPATH_W = @CYGPATH_W@
  114 DEFS = @DEFS@
  115 DEPDIR = @DEPDIR@
  116 ECHO_C = @ECHO_C@
  117 ECHO_N = @ECHO_N@
  118 ECHO_T = @ECHO_T@
  119 EGREP = @EGREP@
  120 EXEEXT = @EXEEXT@
  121 GREP = @GREP@
  122 INSTALL = @INSTALL@
  123 INSTALL_DATA = @INSTALL_DATA@
  124 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  125 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  126 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  127 LDFLAGS = @LDFLAGS@
  128 LIBOBJS = @LIBOBJS@
  129 LIBS = @LIBS@
  130 LTLIBOBJS = @LTLIBOBJS@
  131 MAKEINFO = @MAKEINFO@
  132 MKDIR_P = @MKDIR_P@
  133 OBJEXT = @OBJEXT@
  134 PACKAGE = @PACKAGE@
  135 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  136 PACKAGE_NAME = @PACKAGE_NAME@
  137 PACKAGE_STRING = @PACKAGE_STRING@
  138 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  139 PACKAGE_VERSION = @PACKAGE_VERSION@
  140 PATH_SEPARATOR = @PATH_SEPARATOR@
  141 PKG_CFLAGS = @PKG_CFLAGS@
  142 PKG_CPPFLAGS = @PKG_CPPFLAGS@
  143 PKG_FFLAGS = @PKG_FFLAGS@
  144 PKG_LIBS = @PKG_LIBS@
  145 SET_MAKE = @SET_MAKE@
  146 SHELL = @SHELL@
  147 STRIP = @STRIP@
  148 VERSION = @VERSION@
  149 abs_builddir = @abs_builddir@
  150 abs_srcdir = @abs_srcdir@
  151 abs_top_builddir = @abs_top_builddir@
  152 abs_top_srcdir = @abs_top_srcdir@
  153 ac_ct_CC = @ac_ct_CC@
  154 am__include = @am__include@
  155 am__leading_dot = @am__leading_dot@
  156 am__quote = @am__quote@
  157 am__tar = @am__tar@
  158 am__untar = @am__untar@
  159 bindir = @bindir@
  160 build_alias = @build_alias@
  161 builddir = @builddir@
  162 datadir = @datadir@
  163 datarootdir = @datarootdir@
  164 docdir = @docdir@
  165 dvidir = @dvidir@
  166 exec_prefix = @exec_prefix@
  167 host_alias = @host_alias@
  168 htmldir = @htmldir@
  169 includedir = @includedir@
  170 infodir = @infodir@
  171 install_sh = @install_sh@
  172 libdir = @libdir@
  173 libexecdir = @libexecdir@
  174 localedir = @localedir@
  175 localstatedir = @localstatedir@
  176 mandir = @mandir@
  177 mkdir_p = @mkdir_p@
  178 oldincludedir = @oldincludedir@
  179 pdfdir = @pdfdir@
  180 prefix = @prefix@
  181 program_transform_name = @program_transform_name@
  182 psdir = @psdir@
  183 sbindir = @sbindir@
  184 sharedstatedir = @sharedstatedir@
  185 srcdir = @srcdir@
  186 sysconfdir = @sysconfdir@
  187 target_alias = @target_alias@
  188 top_build_prefix = @top_build_prefix@
  189 top_builddir = @top_builddir@
  190 top_srcdir = @top_srcdir@
  191 SUBDIRS = src etc doc
  192 EXTRA_DIST = BUGS doc/passgen.1 doc/passgen.conf.5 etc/passgen.conf.in
  193 all: all-recursive
  194 
  195 .SUFFIXES:
  196 am--refresh:
  197 	@:
  198 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  199 	@for dep in $?; do \
  200 	  case '$(am__configure_deps)' in \
  201 	    *$$dep*) \
  202 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  203 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  204 		&& exit 0; \
  205 	      exit 1;; \
  206 	  esac; \
  207 	done; \
  208 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  209 	$(am__cd) $(top_srcdir) && \
  210 	  $(AUTOMAKE) --gnu Makefile
  211 .PRECIOUS: Makefile
  212 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  213 	@case '$?' in \
  214 	  *config.status*) \
  215 	    echo ' $(SHELL) ./config.status'; \
  216 	    $(SHELL) ./config.status;; \
  217 	  *) \
  218 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  219 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  220 	esac;
  221 
  222 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  223 	$(SHELL) ./config.status --recheck
  224 
  225 $(top_srcdir)/configure:  $(am__configure_deps)
  226 	$(am__cd) $(srcdir) && $(AUTOCONF)
  227 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  228 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  229 $(am__aclocal_m4_deps):
  230 
  231 # This directory's subdirectories are mostly independent; you can cd
  232 # into them and run `make' without going through this Makefile.
  233 # To change the values of `make' variables: instead of editing Makefiles,
  234 # (1) if the variable is set in `config.status', edit `config.status'
  235 #     (which will cause the Makefiles to be regenerated when you run `make');
  236 # (2) otherwise, pass the desired values on the `make' command line.
  237 $(RECURSIVE_TARGETS):
  238 	@fail= failcom='exit 1'; \
  239 	for f in x $$MAKEFLAGS; do \
  240 	  case $$f in \
  241 	    *=* | --[!k]*);; \
  242 	    *k*) failcom='fail=yes';; \
  243 	  esac; \
  244 	done; \
  245 	dot_seen=no; \
  246 	target=`echo $@ | sed s/-recursive//`; \
  247 	list='$(SUBDIRS)'; for subdir in $$list; do \
  248 	  echo "Making $$target in $$subdir"; \
  249 	  if test "$$subdir" = "."; then \
  250 	    dot_seen=yes; \
  251 	    local_target="$$target-am"; \
  252 	  else \
  253 	    local_target="$$target"; \
  254 	  fi; \
  255 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  256 	  || eval $$failcom; \
  257 	done; \
  258 	if test "$$dot_seen" = "no"; then \
  259 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  260 	fi; test -z "$$fail"
  261 
  262 $(RECURSIVE_CLEAN_TARGETS):
  263 	@fail= failcom='exit 1'; \
  264 	for f in x $$MAKEFLAGS; do \
  265 	  case $$f in \
  266 	    *=* | --[!k]*);; \
  267 	    *k*) failcom='fail=yes';; \
  268 	  esac; \
  269 	done; \
  270 	dot_seen=no; \
  271 	case "$@" in \
  272 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  273 	  *) list='$(SUBDIRS)' ;; \
  274 	esac; \
  275 	rev=''; for subdir in $$list; do \
  276 	  if test "$$subdir" = "."; then :; else \
  277 	    rev="$$subdir $$rev"; \
  278 	  fi; \
  279 	done; \
  280 	rev="$$rev ."; \
  281 	target=`echo $@ | sed s/-recursive//`; \
  282 	for subdir in $$rev; do \
  283 	  echo "Making $$target in $$subdir"; \
  284 	  if test "$$subdir" = "."; then \
  285 	    local_target="$$target-am"; \
  286 	  else \
  287 	    local_target="$$target"; \
  288 	  fi; \
  289 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  290 	  || eval $$failcom; \
  291 	done && test -z "$$fail"
  292 tags-recursive:
  293 	list='$(SUBDIRS)'; for subdir in $$list; do \
  294 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  295 	done
  296 ctags-recursive:
  297 	list='$(SUBDIRS)'; for subdir in $$list; do \
  298 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  299 	done
  300 
  301 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  302 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  303 	unique=`for i in $$list; do \
  304 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  305 	  done | \
  306 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  307 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  308 	mkid -fID $$unique
  309 tags: TAGS
  310 
  311 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  312 		$(TAGS_FILES) $(LISP)
  313 	set x; \
  314 	here=`pwd`; \
  315 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  316 	  include_option=--etags-include; \
  317 	  empty_fix=.; \
  318 	else \
  319 	  include_option=--include; \
  320 	  empty_fix=; \
  321 	fi; \
  322 	list='$(SUBDIRS)'; for subdir in $$list; do \
  323 	  if test "$$subdir" = .; then :; else \
  324 	    test ! -f $$subdir/TAGS || \
  325 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  326 	  fi; \
  327 	done; \
  328 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
  329 	unique=`for i in $$list; do \
  330 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  331 	  done | \
  332 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  333 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  334 	shift; \
  335 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  336 	  test -n "$$unique" || unique=$$empty_fix; \
  337 	  if test $$# -gt 0; then \
  338 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  339 	      "$$@" $$unique; \
  340 	  else \
  341 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  342 	      $$unique; \
  343 	  fi; \
  344 	fi
  345 ctags: CTAGS
  346 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  347 		$(TAGS_FILES) $(LISP)
  348 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
  349 	unique=`for i in $$list; do \
  350 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  351 	  done | \
  352 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  353 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  354 	test -z "$(CTAGS_ARGS)$$unique" \
  355 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  356 	     $$unique
  357 
  358 GTAGS:
  359 	here=`$(am__cd) $(top_builddir) && pwd` \
  360 	  && $(am__cd) $(top_srcdir) \
  361 	  && gtags -i $(GTAGS_ARGS) "$$here"
  362 
  363 distclean-tags:
  364 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  365 
  366 distdir: $(DISTFILES)
  367 	$(am__remove_distdir)
  368 	test -d "$(distdir)" || mkdir "$(distdir)"
  369 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  370 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  371 	list='$(DISTFILES)'; \
  372 	  dist_files=`for file in $$list; do echo $$file; done | \
  373 	  sed -e "s|^$$srcdirstrip/||;t" \
  374 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  375 	case $$dist_files in \
  376 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  377 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  378 			   sort -u` ;; \
  379 	esac; \
  380 	for file in $$dist_files; do \
  381 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  382 	  if test -d $$d/$$file; then \
  383 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  384 	    if test -d "$(distdir)/$$file"; then \
  385 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  386 	    fi; \
  387 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  388 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  389 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  390 	    fi; \
  391 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  392 	  else \
  393 	    test -f "$(distdir)/$$file" \
  394 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  395 	    || exit 1; \
  396 	  fi; \
  397 	done
  398 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  399 	  if test "$$subdir" = .; then :; else \
  400 	    test -d "$(distdir)/$$subdir" \
  401 	    || $(MKDIR_P) "$(distdir)/$$subdir" \
  402 	    || exit 1; \
  403 	  fi; \
  404 	done
  405 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  406 	  if test "$$subdir" = .; then :; else \
  407 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  408 	    $(am__relativize); \
  409 	    new_distdir=$$reldir; \
  410 	    dir1=$$subdir; dir2="$(top_distdir)"; \
  411 	    $(am__relativize); \
  412 	    new_top_distdir=$$reldir; \
  413 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  414 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  415 	    ($(am__cd) $$subdir && \
  416 	      $(MAKE) $(AM_MAKEFLAGS) \
  417 	        top_distdir="$$new_top_distdir" \
  418 	        distdir="$$new_distdir" \
  419 		am__remove_distdir=: \
  420 		am__skip_length_check=: \
  421 		am__skip_mode_fix=: \
  422 	        distdir) \
  423 	      || exit 1; \
  424 	  fi; \
  425 	done
  426 	-test -n "$(am__skip_mode_fix)" \
  427 	|| find "$(distdir)" -type d ! -perm -755 \
  428 		-exec chmod u+rwx,go+rx {} \; -o \
  429 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  430 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  431 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  432 	|| chmod -R a+r "$(distdir)"
  433 dist-gzip: distdir
  434 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  435 	$(am__remove_distdir)
  436 
  437 dist-bzip2: distdir
  438 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  439 	$(am__remove_distdir)
  440 
  441 dist-lzma: distdir
  442 	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
  443 	$(am__remove_distdir)
  444 
  445 dist-xz: distdir
  446 	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
  447 	$(am__remove_distdir)
  448 
  449 dist-tarZ: distdir
  450 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  451 	$(am__remove_distdir)
  452 
  453 dist-shar: distdir
  454 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  455 	$(am__remove_distdir)
  456 
  457 dist-zip: distdir
  458 	-rm -f $(distdir).zip
  459 	zip -rq $(distdir).zip $(distdir)
  460 	$(am__remove_distdir)
  461 
  462 dist dist-all: distdir
  463 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  464 	$(am__remove_distdir)
  465 
  466 # This target untars the dist file and tries a VPATH configuration.  Then
  467 # it guarantees that the distribution is self-contained by making another
  468 # tarfile.
  469 distcheck: dist
  470 	case '$(DIST_ARCHIVES)' in \
  471 	*.tar.gz*) \
  472 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  473 	*.tar.bz2*) \
  474 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  475 	*.tar.lzma*) \
  476 	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
  477 	*.tar.xz*) \
  478 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  479 	*.tar.Z*) \
  480 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  481 	*.shar.gz*) \
  482 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  483 	*.zip*) \
  484 	  unzip $(distdir).zip ;;\
  485 	esac
  486 	chmod -R a-w $(distdir); chmod a+w $(distdir)
  487 	mkdir $(distdir)/_build
  488 	mkdir $(distdir)/_inst
  489 	chmod a-w $(distdir)
  490 	test -d $(distdir)/_build || exit 0; \
  491 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  492 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  493 	  && am__cwd=`pwd` \
  494 	  && $(am__cd) $(distdir)/_build \
  495 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  496 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  497 	  && $(MAKE) $(AM_MAKEFLAGS) \
  498 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  499 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  500 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  501 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  502 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  503 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  504 	        distuninstallcheck \
  505 	  && chmod -R a-w "$$dc_install_base" \
  506 	  && ({ \
  507 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  508 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  509 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  510 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  511 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  512 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  513 	  && rm -rf "$$dc_destdir" \
  514 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  515 	  && rm -rf $(DIST_ARCHIVES) \
  516 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  517 	  && cd "$$am__cwd" \
  518 	  || exit 1
  519 	$(am__remove_distdir)
  520 	@(echo "$(distdir) archives ready for distribution: "; \
  521 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  522 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  523 distuninstallcheck:
  524 	@$(am__cd) '$(distuninstallcheck_dir)' \
  525 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  526 	   || { echo "ERROR: files left after uninstall:" ; \
  527 	        if test -n "$(DESTDIR)"; then \
  528 	          echo "  (check DESTDIR support)"; \
  529 	        fi ; \
  530 	        $(distuninstallcheck_listfiles) ; \
  531 	        exit 1; } >&2
  532 distcleancheck: distclean
  533 	@if test '$(srcdir)' = . ; then \
  534 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  535 	  exit 1 ; \
  536 	fi
  537 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  538 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  539 	       $(distcleancheck_listfiles) ; \
  540 	       exit 1; } >&2
  541 check-am: all-am
  542 check: check-recursive
  543 all-am: Makefile
  544 installdirs: installdirs-recursive
  545 installdirs-am:
  546 install: install-recursive
  547 install-exec: install-exec-recursive
  548 install-data: install-data-recursive
  549 uninstall: uninstall-recursive
  550 
  551 install-am: all-am
  552 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  553 
  554 installcheck: installcheck-recursive
  555 install-strip:
  556 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  557 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  558 	  `test -z '$(STRIP)' || \
  559 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  560 mostlyclean-generic:
  561 
  562 clean-generic:
  563 
  564 distclean-generic:
  565 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  566 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  567 
  568 maintainer-clean-generic:
  569 	@echo "This command is intended for maintainers to use"
  570 	@echo "it deletes files that may require special tools to rebuild."
  571 clean: clean-recursive
  572 
  573 clean-am: clean-generic mostlyclean-am
  574 
  575 distclean: distclean-recursive
  576 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  577 	-rm -f Makefile
  578 distclean-am: clean-am distclean-generic distclean-tags
  579 
  580 dvi: dvi-recursive
  581 
  582 dvi-am:
  583 
  584 html: html-recursive
  585 
  586 html-am:
  587 
  588 info: info-recursive
  589 
  590 info-am:
  591 
  592 install-data-am:
  593 
  594 install-dvi: install-dvi-recursive
  595 
  596 install-dvi-am:
  597 
  598 install-exec-am:
  599 
  600 install-html: install-html-recursive
  601 
  602 install-html-am:
  603 
  604 install-info: install-info-recursive
  605 
  606 install-info-am:
  607 
  608 install-man:
  609 
  610 install-pdf: install-pdf-recursive
  611 
  612 install-pdf-am:
  613 
  614 install-ps: install-ps-recursive
  615 
  616 install-ps-am:
  617 
  618 installcheck-am:
  619 
  620 maintainer-clean: maintainer-clean-recursive
  621 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  622 	-rm -rf $(top_srcdir)/autom4te.cache
  623 	-rm -f Makefile
  624 maintainer-clean-am: distclean-am maintainer-clean-generic
  625 
  626 mostlyclean: mostlyclean-recursive
  627 
  628 mostlyclean-am: mostlyclean-generic
  629 
  630 pdf: pdf-recursive
  631 
  632 pdf-am:
  633 
  634 ps: ps-recursive
  635 
  636 ps-am:
  637 
  638 uninstall-am:
  639 
  640 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
  641 	install-am install-strip tags-recursive
  642 
  643 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
  644 	all all-am am--refresh check check-am clean clean-generic \
  645 	ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
  646 	dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
  647 	distclean distclean-generic distclean-tags distcleancheck \
  648 	distdir distuninstallcheck dvi dvi-am html html-am info \
  649 	info-am install install-am install-data install-data-am \
  650 	install-dvi install-dvi-am install-exec install-exec-am \
  651 	install-html install-html-am install-info install-info-am \
  652 	install-man install-pdf install-pdf-am install-ps \
  653 	install-ps-am install-strip installcheck installcheck-am \
  654 	installdirs installdirs-am maintainer-clean \
  655 	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  656 	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
  657 
  658 
  659 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  660 # Otherwise a system limit (for SysV at least) may be exceeded.
  661 .NOEXPORT: